<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package samantha
 */

get_header();
?>

<?php

$error_title = esc_html__( '404', 'samantha' );

$title = get_field( 'p404_title', 'option' );
if ( ! $title ) {
	$title = esc_html__( 'Page not found', 'samantha' );
}

$content = get_field( 'p404_content', 'option' );
if ( ! $content ) {
	$content = esc_html__( 'We are unable to find the page you are looking for.', 'samantha' );
}

$image_id = get_field( 'p404_image', 'options' );
$image = false;
if ( $image_id ) {
	$image = wp_get_attachment_image_url( $image_id, 'samantha_1920xAuto' );
}
?>

<section class="pricing-table gap">
  	<div class="container">
		<div class="row align-items-center">
			<div class="col-lg-6 col-md-12 col-sm-12">
				<span><?php echo wp_kses_post( $error_title ); ?></span>
				<h2><?php echo wp_kses_post( $title ); ?></h2>
				<p><?php echo wp_kses_post( $content ); ?></p>
				<a href="<?php echo esc_url( home_url() ); ?>" class="button"><?php echo esc_html__( 'Back to Home', 'samantha' ); ?></a>
			</div>
			<div class="col-lg-6 col-md-12 col-sm-12">
				<div class="pricing-table-img">
					<?php if ( $image ) : ?>
					<img alt="<?php echo esc_attr( $error_title ); ?>" src="<?php echo esc_url( $image ); ?>" />
					<?php endif; ?>
				</div>
			</div>
		</div>
  	</div>
</section>

<?php
get_footer();
