( function( $ ) {
  'use strict';

  var elementor = 0;
  if ( window.location.href.indexOf('/?elementor-preview=') > -1 ) {
      elementor = 1;
  }

  /*-----------------------------------------------------------------------------------
      Template Name: Samantha
      Note: This is Custom Js file
  -----------------------------------------------------------------------------------

      Js INDEX

      ===================

      ## counter
      ## count-number
      ## menu-btn
      ## loop-slider
      ## progress-bar
      ## photo
      ## nonloop
      ## ProgressBar
      ## weekdays
      ## beforeAfter
      ## loader
      ## aos
      ## mobile-nav
      ## Location Map Pin

  -----------------------------------------------------------------------------------*/

  // loader 10
  $(window).on('load',function(){
    setTimeout(function(){ // allowing 3 secs to fade out loader
      $('.page-loader').fadeOut('slow');
    });
  });

  /*Counter Init 1*/
  $.fn.countTo = function(options) {
    options = options || {};

    return $(this).each(function() {
      // set options for current element
      var settings = $.extend(
        {},
        $.fn.countTo.defaults,
        {
          from: $(this).data("from"),
          to: $(this).data("to"),
          speed: $(this).data("speed"),
          refreshInterval: $(this).data("refresh-interval"),
          decimals: $(this).data("decimals")
        },
        options
      );

      // how many times to update the value, and how much to increment the value on each update
      var loops = Math.ceil(settings.speed / settings.refreshInterval),
        increment = (settings.to - settings.from) / loops;

      // references & variables that will change with each update
      var self = this,
        $self = $(this),
        loopCount = 0,
        value = settings.from,
        data = $self.data("countTo") || {};

      $self.data("countTo", data);

      // if an existing interval can be found, clear it first
      if (data.interval) {
        clearInterval(data.interval);
      }
      data.interval = setInterval(updateTimer, settings.refreshInterval);

      // initialize the element with the starting value
      render(value);

      function updateTimer() {
        value += increment;
        loopCount++;

        render(value);

        if (typeof settings.onUpdate == "function") {
          settings.onUpdate.call(self, value);
        }

        if (loopCount >= loops) {
          // remove the interval
          $self.removeData("countTo");
          clearInterval(data.interval);
          value = settings.to;

          if (typeof settings.onComplete == "function") {
            settings.onComplete.call(self, value);
          }
        }
      }

      function render(value) {
        var formattedValue = settings.formatter.call(self, value, settings);
        $self.html(formattedValue);
      }
    });
  };

  $.fn.countTo.defaults = {
    from: 0, // the number the element should start at
    to: 0, // the number the element should end at
    speed: 1000, // how long it should take to count between the target numbers
    refreshInterval: 100, // how often the element should be updated
    decimals: 0, // the number of decimal places to show
    formatter: formatter, // handler for formatting the value before rendering
    onUpdate: null, // callback method for every time the element is updated
    onComplete: null // callback method for when the element finishes updating
  };

  function formatter(value, settings) {
    return value.toFixed(settings.decimals);
  }

  // count-number 2
  // custom formatting example
  $(".count-number").data("countToOptions", {
    formatter: function(value, options) {
      return value
        .toFixed(options.decimals)
        .replace(/\B(?=(?:\d{3})+(?!\d))/g, ",");
    }
  });

  // start all the timers
  $(".timer").each(count);

  function count(options) {
    var $this = $(this);
    options = $.extend({}, options || {}, $this.data("countToOptions") || {});
    $this.countTo(options);
  }

  // menu-btn 3
  $('.menu-btn').on('click', function () {
    $('body.menu-layer').addClass('active');
    return false;
  });
  $('.menu-cls-btn').on('click', function () {
    $('body.menu-layer').removeClass('active');
    return false;
  });

  // loop-slider 4
  $(document).ready(function(){
  if ( $.isFunction($.fn.owlCarousel) ) {
  $('.loop-slider').owlCarousel({
      center: true,
      nav:true,
      margin:30,
      dot:true,
      loop:true,
      mouseDrag : false,
      responsiveClass:true,
      responsive:{
          300:{
              items:1,
              nav:false,
              margin:0,
              center: false,
          },
          800:{
              items:2,
          }
        }

    })
  }

  // photo 5
  if ( $.isFunction($.fn.owlCarousel) ) {
  $('.photo').owlCarousel({
       items: 1,
      loop: false,
      margin: 10,
       callbacks: true,
      URLhashListener: true,
      autoplayHoverPause: true,
      mouseDrag : false,
      startPosition: 'URLHash'
    });
  }

  // nonloop 6
  if ( $.isFunction($.fn.owlCarousel) ) {
  $('.nonloop').owlCarousel({
      items:2,
      dots:false,
      loop: true,
      margin:0,
      autoplay:true,
      autoplayTimeout:3000,
      responsiveClass:true,
      responsive:{
          300:{
              items:1,
              nav:false,
              margin:0,
              center: false,
          },
          800:{
              items:2,
          }
        }
  });
  }
  });

  // ProgressBar 7
  var ProgressBar = function(ele) {
    this.$ele = $(ele);
    this.progressValue = this.$ele.data('progress-value');
    this.tooltipValue = this.$ele.data('tooltip-value');
    this.progressBar = this.$ele.find('.progress-status');
    this.tooltipWrapper = this.$ele.find('.tooltip');

    this.init();
  }

  ProgressBar.prototype = {

    init: function(){
      this.setBarValue();
      this.setTooltip();
    },

    setBarValue: function(){
      $(this.progressBar).css('width', this.progressValue+'%');
    },

    setTooltip: function(){

      if(this.tooltipValue === undefined || this.tooltipValue === ''){
        return;
      }

      $(this.tooltipWrapper)
        .addClass('show')
        .append('<p>' + this.tooltipValue + '</p>');
    }
  }

  ProgressBar.plugin = function() {
    $('[data-plugin="progress-bar"]').each(function(index, item) {
      item.module = new ProgressBar($(item));
    });
  }

  $(function() {
    ProgressBar.plugin();
  });


  //weekdays 8
  if ($("#weekdays")[0]){
  $(function(){
    $('#weekdays').weekdays({
      singleSelect: true
    });
    $('#weekdays').on( 'click', 'li', function(){
        var days = $('#weekdays').selectedDays();
        $('input[name="cf-day"]').val(days[0]);
    });
  });
  }

  // beforeAfter 9
  if ( $.isFunction($.fn.beforeAfter) ) {
  $('.beforeAfter').beforeAfter({

    // is draggable/swipeable
    movable: true,

    // click image to move the slider
    clickMove: true,

    // always show the slider
    alwaysShow: true,

    // intial position of the slider
    position: 100,

    // opacity between 0 and 1
    opacity: 0.4,
    activeOpacity: 1,
    hoverOpacity: 0.8,

    // slider colors
    separatorColor: '#bed800',
    bulletColor: '#bed800',
    arrowColor: '#ffffff',

  });
  }

  // Responsive header menu
  $('.mobile-nav').on('click', '.menu-item-has-children', function() {
    $(this).toggleClass('active');
  });
  $('#nav-icon4').on('click', function(){
      $('#mobile-nav').toggleClass('open');
  });
  $('.res-cross').on('click', function(){
      $('#mobile-nav').removeClass('open');
  });
  $('.bar-menu').on('click', function(){
      $('#mobile-nav').toggleClass('open');
      $('#mobile-nav').toggleClass('hmburger-menu');
      $('#mobile-nav').show();
      if ( $('#mobile-nav .sth-navigation li').length == 0 ) {
        $('#mobile-nav .sth-navigation').html( $('.menu-bar .smth-navigation').html() );
      }
  });
  $('.res-cross').on('click', function(){
      $('#mobile-nav').removeClass('open');
      $('#mobile-nav').removeClass('hmburger-menu');
  });

  // Location Map Pin
  if ($(".map-pin")[0]){
     $('.map-pin span').on('click', function() {
        $(this).parent().addClass('active');
     });
     $('.map-pin .close-icon').on('click', function() {
        $(this).parent().removeClass('active');
     });
  }

  // .scroll-top
  const d = document,
    w = window;

  d.addEventListener("DOMContentLoaded", (e) =>{
      scrollToTop(".scroll-top-btn");
  });

  function scrollToTop(btnScroll) {
    const $scrollBtn = d.querySelector(btnScroll);

    d.addEventListener("scroll", (e) => {
      let scrollTop = w.pageYOffset || d.documentElement.scrollTop;

      if (scrollTop > 100) {
        $scrollBtn.classList.remove("hidden");
      } else {
        $scrollBtn.classList.add("hidden");
      }
      /* console.log(w.pageYOffset, d.documentElement.scrollTop); */
    });
    d.addEventListener("click", (e) => {
      if (e.target.matches(btnScroll)) {
        w.scrollTo({
          behavior: "smooth",
          top: 0,
        });
      }
    });
  }

  //AOS animation 11
  AOS.init({
      once:true
  });

  /*-------------------------
  Magnific Popups
  -------------------------*/
  if(/\.(?:jpg|jpeg|gif|png)$/i.test($('.wp-block-gallery .blocks-gallery-item:first a').attr('href'))){
    $('.wp-block-gallery a').magnificPopup({
      gallery: {
          enabled: true
      },
      type: 'image',
      closeOnContentClick: false,
      fixedContentPos: false,
      closeBtnInside: false,
      callbacks: {
        beforeOpen: function() {
          // just a hack that adds mfp-anim class to markup
           this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
           this.st.mainClass = 'mfp-zoom-in';
        }
      },
    });
  }
  $('[data-magnific-inline]').magnificPopup({
    type: 'inline',
    overflowY: 'auto',
    preloader: false,
    callbacks: {
      beforeOpen: function() {
         this.st.mainClass = 'mfp-zoom-in';
      }
    },
  });
  $('[data-magnific-image]').magnificPopup({
    type: 'image',
    closeOnContentClick: true,
    fixedContentPos: false,
    closeBtnInside: false,
    callbacks: {
      beforeOpen: function() {
        // just a hack that adds mfp-anim class to markup
         this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
         this.st.mainClass = 'mfp-zoom-in';
      }
    },
  });
  if (!$('body').hasClass('elementor-page')) {
    $("a").each(function(i, el) {
      var href_value = el.href;
      if (/\.(jpg|png|gif)$/.test(href_value)) {
         $(el).magnificPopup({
            type: 'image',
            closeOnContentClick: true,
            fixedContentPos: false,
            closeBtnInside: false,
            callbacks: {
              beforeOpen: function() {
                // just a hack that adds mfp-anim class to markup
                 this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
                 this.st.mainClass = 'mfp-zoom-in';
              }
            },
          });
      }
    });
  }
  $('[data-magnific-video]').magnificPopup({
    type: 'iframe',
    iframe: {
        patterns: {
            youtube_short: {
              index: 'youtu.be/',
              id: 'youtu.be/',
              src: 'https://www.youtube.com/embed/%id%?autoplay=1'
            }
        }
    },
    preloader: false,
    fixedContentPos: false,
    callbacks: {
      markupParse: function(template, values, item) {
        template.find('iframe').attr('allow', 'autoplay');
      },
      beforeOpen: function() {
        // just a hack that adds mfp-anim class to markup
         this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
         this.st.mainClass = 'mfp-zoom-in';
      }
    },
  });
  $('[data-magnific-music]').magnificPopup({
    type: 'iframe',
    preloader: false,
    fixedContentPos: false,
    closeBtnInside: true,
    callbacks: {
      beforeOpen: function() {
        // just a hack that adds mfp-anim class to markup
         this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
         this.st.mainClass = 'mfp-zoom-in';
      }
    },
  });
  $('[data-magnific-gallery]').magnificPopup({
    gallery: {
        enabled: true
    },
    type: 'image',
    closeOnContentClick: false,
    fixedContentPos: false,
    closeBtnInside: false,
    callbacks: {
      beforeOpen: function() {
        // just a hack that adds mfp-anim class to markup
         this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
         this.st.mainClass = 'mfp-zoom-in';
      }
    },
  });

  $('.calculator-section .calculate').on('click', function(){
    var form = $('.calculator-section .calculate-bmi');
    
    var bmr = 0;
    var rmr = 0;
    var gender = 5;
    var limit = 1500;
    if ( form.find('input[type=radio]:checked').val() == 'female' ) {
      gender = -161;
      limit = 1200;
    }
    var age = parseFloat(form.find('input[name=Age]').val());
    var weight = parseFloat(form.find('input[name=Weight]').val());
    var height = parseFloat(form.find('input[name=Height]').val());
    var active = parseFloat(form.find('select').val());
    if ( !active ) { active = 1.2; }

    bmr = 10*weight + 6.25*height - 5*age + gender;
    rmr = parseInt(bmr*active);

    /* show results */
    $('.weight-scale-preview').hide();
    $('.weight-scale-results').show();

    $('.weight-scale-daily').animate({'top':'0px', 'opacity': '1' }, 500);
    $('.weight-scale-lose').animate({'top':'0px', 'opacity': '1'}, 500);

    /* show bmr */
    $('.weight-scale-daily h4 span').text(rmr);
    //console.log(rmr);

    /* show weight loses */
    var total = rmr;
    var step = parseInt(total/10);
    var text = $('.weight-scale-lose ul li:first').html();
    var lose_week = 0;
    var lose_month = 0;
    
    var i = 0;

    while ( total >= limit ) {
      i++;
      total = total-step;
      lose_week = (rmr-total)*7/7700;
      lose_month = lose_week*4;
      
      if ( total >= limit ) {
        if ( i == 1 ) {
          $('.weight-scale-lose ul').html('');
        }

        $('.weight-scale-lose ul').append('<li>' + text + '</li>');
        $('.weight-scale-lose ul li:last').find('.number-1').text(total);
        $('.weight-scale-lose ul li:last').find('.number-2').text(lose_week.toFixed(2));
        $('.weight-scale-lose ul li:last').find('.number-3').text(lose_month.toFixed(2));
      }
    }

    return false;
  });

  $('.bmi-calculator .calculate').on('click', function(){
    var form = $('.bmi-calculator .calculate-bmi');
    
    var bmr = 0;
    var rmr = 0;
    var bmi = 0;
    var w1 = 0;
    var w2 = 0;

    var gender = 5;
    var limit = 1500;
    if ( form.find('input[type=radio]:checked').val() == 'female' ) {
      gender = -161;
      limit = 1200;
    }
    var age = parseFloat(form.find('input[name=Age]').val());
    var weight = parseFloat(form.find('input[name=Weight]').val());
    var height = parseFloat(form.find('input[name=Height]').val());
    var active = parseFloat(form.find('select').val());
    if ( !active ) { active = 1.2; }
    var bmi1 = 18.5;
    var bmi2 = 25;

    bmr = 10*weight + 6.25*height - 5*age + gender;
    rmr = parseInt(bmr*active);

    bmi = weight/(height*height/10000);
    w1 = bmi1*(height*height/10000);
    w2 = bmi2*(height*height/10000);

    /* show results */
    $('.weight-scale-results').show();

    /* show bmr */
    $('.weight-scale-daily h4 span').text(rmr);
    //console.log(rmr);

    /* show bmi */
    $('.weight-scale-line .line-tooltip span').text(bmi.toFixed(1));

    /* show min weight */
    $('.weight-scale-range .number-1').text(w1.toFixed(2));

    /* show max weight */
    $('.weight-scale-range .number-2').text(w2.toFixed(2));

    /* show weight loses */
    var total = rmr;
    var step = parseInt(total/10);
    var text = $('.weight-scale-lose ul li:first').html();
    var lose_week = 0;
    var lose_month = 0;
    $('.weight-scale-lose ul').html('');

    while ( total >= limit ) {
      total = total-step;
      lose_week = (rmr-total)*7/7700;
      lose_month = lose_week*4;
      
      if ( total >= limit ) {
        $('.weight-scale-lose ul').append('<li>' + text + '</li>');
        $('.weight-scale-lose ul li:last').find('.number-1').text(total);
        $('.weight-scale-lose ul li:last').find('.number-2').text(lose_week.toFixed(2));
        $('.weight-scale-lose ul li:last').find('.number-3').text(lose_month.toFixed(2));
      }
    }

    var lineType = 1;
    var linePos = 0;

    if ( bmi <= 25 ) {
      lineType = 1;
      linePos = ((bmi-18.5)/(25-18.5))*100;
    } else if ( bmi <= 30 ) {
      lineType = 2;
      linePos = ((bmi-25)/(30-25))*100;
    } else {
      lineType = 3;
      linePos = ((bmi-30)/(40-30))*100;
    }

    if ( linePos>100 ) {
      linePos = 100;
    }
    if ( linePos < 0 ) {
      linePos = 0;
    }

    $('.weight-scale-line .line-tooltip').hide();
    $('.weight-scale-line .line-area-'+lineType+' .line-tooltip').show();
    $('.weight-scale-line .line-area-'+lineType+' .line-tooltip').css('left', linePos+'%');

    return false;
  });

} )( jQuery );
