<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package samantha
 */

?>

<footer class="footer one">
  <?php
    $subscribe_template = get_field( 'subscribe_template' );
    if ( $subscribe_template ) :
      $args = array( 'post_type' => 'hf_templates', 'p' => $subscribe_template );
      $loop = new WP_Query( $args );
      while ( $loop->have_posts() ) : $loop->the_post();
        the_content();
      endwhile; wp_reset_postdata();
    endif;

    $footer_template = get_field( 'footer_template', 'option' );
    $footer_layout = get_field( 'footer_layout', 'option' );
    if ( $footer_template ) :
      $args = array( 'post_type' => 'hf_templates', 'p' => $footer_template );
      $loop = new WP_Query( $args );
      while ( $loop->have_posts() ) : $loop->the_post();
        the_content();
      endwhile; wp_reset_postdata();
    else :
  ?>
  <div class="smth-footer-frame">
    <div class="container">
      <div class="smth-copy align-center">
        <p><?php echo esc_html__( '© Samantha 2023. All rights reserved.', 'samantha' ); ?></p>
      </div>
    </div>
  </div>
  <?php endif; ?>
</footer>

<!-- scroll top -->
<button class="scroll-top-btn hidden"><i class="fas fa-angle-up"></i></button>

<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
