<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package samantha
 */

get_header();
?>

<?php

$blog_featured_img = get_field( 'blog_featured_img', 'option' );
$blog_bg_image = get_field( 'blog_bg_image', 'option' );
$theme_lightbox = get_field( 'portfolio_lightbox_disable', 'option' );

$no_thumbnail = false;
if ( ! has_post_thumbnail() || $blog_featured_img ) {
	$no_thumbnail = true;
}

$heading = 'h3';

$bg_image = false;

if ( $no_thumbnail ) {
	$heading = 'h2';
} else {
	$bg_image = get_template_directory_uri() . '/assets/img/blur.png';
}

if ( $blog_bg_image ) {
	$bg_image = wp_get_attachment_image_url( $blog_bg_image, 'samantha_1920xAuto' );
}

?>

	<?php while ( have_posts() ) : the_post(); ?>

	<section class="hero-blog Details gap"<?php if ( $bg_image ) : ?> style="background-image: url('<?php echo esc_url( $bg_image ); ?>');"<?php endif; ?>>
    	<div class="container">
    		<div class="row">
    	 		<div class="offset-xl-1 col-xl-10 col-lg-12 col-md-12 col-sm-12">
        			<div class="blog-details-data hover-style<?php if ( $no_thumbnail ) : ?> no-post-thumbnail<?php endif; ?>" data-aos="fade-up" data-aos-delay="200" data-aos-duration="400">        				
						<?php if ( has_post_thumbnail() && ! $blog_featured_img ) :
						$image = get_the_post_thumbnail_url( get_the_ID(), 'samantha_1920xAuto' ); ?>
						<figure>
							<a<?php if ( ! $theme_lightbox ) : ?> data-magnific-image<?php endif; ?> href="<?php the_post_thumbnail_url( 'samantha_1920xAuto' ); ?>">
								<img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( get_the_title() ); ?>" />
							</a>
						</figure>
						<?php endif; ?>
        				<div class="gap-health-style">
        					<<?php echo esc_attr( $heading ); ?>>
								<?php the_title(); ?>
							</<?php echo esc_attr( $heading ); ?>>
							<div class="Post-details blog">
								<?php samantha_after_title(); ?>
							</div>
						</div>
					</div>

        			<div class="details-data">
						<?php get_template_part( 'template-parts/content', 'single' ); ?>
						
						<?php samantha_single_author_details(); ?>

						<?php samantha_single_navigantion(); ?>

						<?php if ( comments_open() || get_comments_number() ) :
						// If comments are open or we have at least one comment, load up the comment template.
						comments_template();
						endif; ?>
					</div>
				</div>
        	</div>
        </div>
	</section>

	<?php endwhile; ?>

<?php
get_footer();
