<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package samantha
 */

?>

<?php

//options
$blog_excerpt = get_field( 'blog_excerpt', 'option' );

//content
$image = get_the_post_thumbnail_url( get_the_ID(), 'samantha_950xAuto' );
$categories = get_the_terms( get_the_ID(), 'category' );

?>

<div class="Post-1">
	<?php if ( $categories && ! is_wp_error( $categories ) ) : ?>
	<?php foreach ( $categories as $key => $value ) : ?>
	<span><?php echo esc_html( $value->name ); ?></span>
	<?php endforeach; ?>
	<?php endif; ?>
	<h4><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h4>
	<a href="<?php echo esc_url( get_permalink() ); ?>">
		<?php echo esc_html__( 'Read More', 'samantha' ); ?>
		<i class="fas fa-arrow-right"></i>
	</a>
	<h6>
		<i class="far fa-calendar-alt"></i>
		<?php echo esc_html( get_the_date() ); ?>
	</h6>
</div>
<?php if ( $image ) : ?>
<figure>
	<a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( get_the_title() ); ?>" /></a>
</figure>
<?php endif; ?>
