<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package samantha
 */

?>

<?php

//options
$blog_excerpt = get_field( 'blog_excerpt', 'option' );

//content
$image = get_the_post_thumbnail_url( get_the_ID(), 'samantha_950xAuto' );
$categories = get_the_terms( get_the_ID(), 'category' );

?>

<?php if ( $image ) : ?>
<figure>
	<a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( get_the_title() ); ?>" /></a>
</figure>
<?php endif; ?>
<?php if ( $categories && ! is_wp_error( $categories ) ) : ?>
<?php foreach ( $categories as $key => $value ) : ?>
<span><?php echo esc_html( $value->name ); ?></span>
<?php endforeach; ?>
<?php endif; ?>
<h4><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h4>
<?php the_excerpt(); ?>
<a href="<?php echo esc_url( get_permalink() ); ?>">
	<?php echo esc_html__( 'Read More', 'samantha' ); ?>
	<i class="fas fa-arrow-right"></i>
</a>
<div class="Post-details">
	<h5><span><?php echo esc_html__( 'By', 'samantha' ); ?></span> <?php the_author(); ?></h5>
	<div class="Post-data">
		<h6><i class="far fa-calendar-alt"></i><?php echo esc_html( get_the_date() ); ?></h6>
		<?php if ( shortcode_exists( 'shared_counts' ) ) : ?>
		<div class="h6"><i class="fas fa-share"></i><?php echo do_shortcode( '[shared_counts]' ); ?></div>
		<?php endif; ?>
		<h6><i class="far fa-comment-alt"></i><?php comments_number( '0', '1', '%' ); ?></h6>
	</div>
</div>
