<?php
/**
 * Template part for displaying a message that posts cannot be found
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package samantha
 */

?>

<h3 class="smth-cate-title smth-mb-15"><?php echo esc_html__( 'Nothing Found', 'samantha' ); ?></h3>
<div class="smth-text smth-mb-30">
	<?php
  if ( is_home() && current_user_can( 'publish_posts' ) ) :
  	printf(
  		'<p>' . wp_kses(
  			/* translators: 1: link to WP admin new post page. */
  			__( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'samantha' ),
  			array(
  				'a' => array(
  					'href' => array(),
  				),
  			)
  		) . '</p>',
  		esc_url( admin_url( 'post-new.php' ) )
  	);
  elseif ( is_search() ) : ?>
	<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'samantha' ); ?></p>
  <?php else : ?>
	<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'samantha' ); ?></p>
  <?php endif; ?>
</div>
