<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package samantha
 */

?>

<?php

//taxonomy
$current_categories = get_the_terms( get_the_ID(), 'program_categories' );
$categories_slug = '';
if ( $current_categories && ! is_wp_error( $current_categories ) ) {
	foreach ( $current_categories as $key => $value ) {
		$categories_slug .= 'category-' . $value->slug . ' ';
	}
}

//content
$grid = get_field( 'grid' );

if ( $grid == 1 ) {
	$image = get_the_post_thumbnail_url( get_the_ID(), 'samantha_1920xAuto' );
	$col_classes = 'col-xl-8 col-lg-6 col-md-6 col-sm-12';
} else {
	$image = get_the_post_thumbnail_url( get_the_ID(), 'samantha_950xAuto' );
	$col_classes = 'col-xl-4 col-lg-6 col-md-6 col-sm-12';
}

$preview_title = get_field( 'preview_title' );
$duration = get_field( 'duration' );
$short_description = get_field( 'short_description' );

?>

<div class="<?php echo esc_attr( $col_classes ); ?>" data-aos="fade-right" data-aos-delay="200" data-aos-duration="300">
	<div class="card-img">
		<?php if ( $image ) : ?>
		<img alt="<?php echo esc_attr( get_the_title() ); ?>" src="<?php echo esc_url( $image ); ?>" />
		<?php endif; ?>
		<a href="<?php the_permalink(); ?>">
			<?php if ( $preview_title ) : echo wp_kses_post( $preview_title ); else : the_title(); endif; ?>
		</a>
		<div class="card-img-hover">
			<h3>
				<a href="<?php the_permalink(); ?>">
					<?php if ( $preview_title ) : echo wp_kses_post( $preview_title ); else : the_title(); endif; ?>
				</a>
			</h3>
			<?php if ( $duration ) : ?>
			<a href="<?php the_permalink(); ?>"><i class="far fa-clock"></i> <?php echo esc_html( $duration ); ?></a>
			<?php endif; ?>
			<?php if ( $short_description ) : echo wp_kses_post( $short_description ); endif; ?>
			<a href="<?php the_permalink(); ?>" class="button"><?php echo esc_html__( 'Join Now', 'samantha' ); ?></a>
		</div>
	</div>
</div>
