<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package samantha
 */

?>

<?php

//options
$blog_excerpt = get_field( 'blog_excerpt', 'option' );

//content
$image = get_the_post_thumbnail_url( get_the_ID(), 'samantha_1920xAuto' );

$categories = get_the_terms( get_the_ID(), 'category' );

$post_extra_classes = '';

if ( ! get_the_title() ) {
	$post_extra_classes = 'no-title';
}

?>

<div class="col-lg-6 p-0 col-md-12 col-sm-12" data-aos="fade-right" data-aos-delay="200" data-aos-duration="400">
	<div class="blog-img hover-style">
		<?php if ( $image ) : ?>
		<figure>
			<a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( get_the_title() ); ?>" /></a>
		</figure>
		<?php endif; ?>
		<?php if ( $categories && ! is_wp_error( $categories ) ) : ?>
		<span>
			<?php foreach ( $categories as $key => $value ) : ?>
			<span><?php echo esc_html( $value->name ); ?></span>
			<?php endforeach; ?>
		</span>
		<?php endif; ?>
	</div>
</div>
<div class="col-lg-6 p-0 col-md-12 col-sm-12" data-aos="fade-left" data-aos-delay="300" data-aos-duration="500">
	<div class="title-blog">
		<h3><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h3>
		<div class="blog-card">
			<?php if ( empty( $blog_excerpt ) ) : the_excerpt(); endif; ?>
			<div class="Post-details blog">
				<h5><span><?php echo esc_html__( 'By', 'samantha' ); ?></span> <?php the_author(); ?></h5>
				<h6><i class="far fa-calendar-alt"></i><?php echo esc_html( get_the_date() ); ?></h6>
				<div class="h6"><i class="fas fa-share"></i><?php echo do_shortcode( '[shared_counts]' ); ?></div>
				<h6><i class="far fa-comment-alt"></i><?php comments_number(); ?></h6>
			</div>
		</div>
	</div>
</div>