<?php
/**
 * Template part for displaying page intro
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package samantha
 */

?>

<?php 

$page_id = get_the_ID(); 
$blog_bg_image = get_field( 'blog_bg_image', 'option' );

$bg_image = false;

if ( $blog_bg_image ) {
	$bg_image = wp_get_attachment_image_url( $blog_bg_image, 'samantha_1920xAuto' );
}

?>

<section class="hero-blog gap"<?php if ( $bg_image ) : ?> style="background-image: url('<?php echo esc_url( $bg_image ); ?>');"<?php endif; ?> data-aos="fade-up" data-aos-delay="200" data-aos-duration="400">
    <div class="container">
    	<div class="content">
			<?php samantha_breadcrumbs( $page_id ); ?>

			<?php
				// get title
				if ( is_page() ) {
					$title = get_the_title();
				} elseif ( is_search() ) {
					$title = esc_html__( 'Search: ', 'samantha' ) . esc_html( get_search_query() );
				} elseif ( is_archive() ) {
					$title = get_the_archive_title();
				} elseif ( is_singular( 'zoom-meetings' ) ) {
					$title = get_the_title();
				} else {
					$title = esc_html__( 'Latest Posts', 'samantha' );
				}
			?>
            <h2><?php echo wp_kses_post( $title ); ?></h2>
        </div>
    </div>
</section>
