<?php
/**
 * The template for displaying content of archive page meetings
 *
 * This template can be overridden by copying it to yourtheme/video-conferencing-zoom/content-meeting.php.
 *
 * @author Deepen
 * @since 3.0.0
 * @version 3.6.0
 */

defined( 'ABSPATH' ) || exit;

global $zoom;

if ( ! vczapi_pro_version_active() && vczapi_pro_check_type( $zoom['api']->type ) || empty( $zoom ) || ! empty( $zoom['api']->code ) ) {
	return;
}
?>

<div class="meeting-data one ">
	<div class="meeting-cads">
		<div class="meeting-tim">
			<h3>28<br><span>June</span></h3>
			<div class="px-2 pt-3">
			<h6>Start</h6>
			<h5>04:00 pm</h5>
			<h6>Duration</h6>
			<h5>30min</h5>
			</div>
		</div>
		<div class="meeting-img hover-style">
			<?php if ( has_post_thumbnail() ) : $image = get_the_post_thumbnail_url(); ?>
			<figure>
				<img alt="meeting-img" src="<?php echo esc_url( $image ); ?>" />
			</figure>
			<?php endif; ?>
		</div>
	</div>
	<div class="join-meeting">
		<a class="join" href="<?php echo esc_url( get_the_permalink() ) ?>"><?php the_title(); ?></a>
		<span>Meeting ID:</span>
		<h4>127623693235</h4>
		<a href="" class="button back">
			Join Meeting Via Zoom App
			<i class="fa-solid fa-angle-right"></i>
		</a>
	</div>
</div>
