<?php
/**
 * The Template for displaying all single meetings
 *
 * This template can be overridden by copying it to yourtheme/video-conferencing-zoom/shortcode/zoom-listing.php.
 *
 * @package    Video Conferencing with Zoom API/Templates
 * @since     3.2.2
 * @version     3.6.0
 */

global $zoom;

if ( ! vczapi_pro_version_active() && ( $zoom['api']->type === 8 || $zoom['api']->type === 3 ) || empty( $zoom ) || ! empty( $zoom['api']->code ) ) {
	return;
}

do_action( 'vczapi_before_loop_zoom_listing_shortcode' );

$columns = ! empty( $zoom['columns'] ) ? $zoom['columns'] : 'vczapi-col-4';

//var_dump($zoom);

?>
    <div class="<?php echo esc_attr( $columns ); ?> vczapi-pb-3">
        <div class="vczapi-list-zoom-meetings--item meeting-data">
					<div class="meeting-cads">
						<div class="meeting-tim">

							<?php if ( vczapi_pro_version_active() && ! empty( $zoom['api']->type ) && vczapi_pro_check_type( $zoom['api']->type ) ) :
								$type      = ! empty( $zoom['api']->type ) ? $zoom['api']->type : false;
								$timezone  = ! empty( $zoom['api']->timezone ) ? $zoom['api']->timezone : false;
								$occurence = ! empty( $zoom['api']->occurrences ) ? $zoom['api']->occurrences : false;

								if ( ! empty( $occurence ) ) :
									$start_time = Codemanas\ZoomPro\Helpers::get_latest_occurence_by_type( $type, $timezone, $occurence );
							  ?>
										<h3><?php echo vczapi_dateConverter( $start_time, $timezone, 'j' ); ?><br><span><?php echo vczapi_dateConverter( $start_time, $timezone, 'F' ); ?></span></h3>
										<div class="px-2 pt-3">
											<h6><?php echo esc_html__( 'Start', 'samantha' ); ?></h6>
											<h5><?php echo vczapi_dateConverter( $start_time, $timezone, 'g:i a' ); ?></h5>
											<h6><?php echo esc_html__( 'Duration', 'samantha' ); ?></h6>
											<h5><?php echo esc_html( $zoom['api']->duration ); ?><?php echo esc_html__( ' min', 'samantha' ); ?></h5>
										</div>
								<?php else : ?>
										<h3><?php echo vczapi_dateConverter( $zoom['start_date'], 'UTC', 'j' ); ?><br><span><?php echo vczapi_dateConverter( $zoom['start_date'], 'UTC', 'F' ); ?></span></h3>
										<div class="px-2 pt-3">
											<h6><?php echo esc_html__( 'Start', 'samantha' ); ?></h6>
											<h5><?php echo vczapi_dateConverter( $zoom['start_date'], 'UTC', 'g:i a' ); ?></h5>
											<h6><?php echo esc_html__( 'Duration', 'samantha' ); ?></h6>
											<h5><?php echo esc_html( $zoom['api']->duration ); ?><?php echo esc_html__( ' min', 'samantha' ); ?></h5>
										</div>
								<?php endif; ?>
								<?php else : ?>
										<h3><?php echo vczapi_dateConverter( $zoom['api']->start_time, $zoom['api']->timezone, 'j' ); ?><br><span><?php echo vczapi_dateConverter( $zoom['api']->start_time, $zoom['api']->timezone, 'F' ); ?></span></h3>
										<div class="px-2 pt-3">
											<h6><?php echo esc_html__( 'Start', 'samantha' ); ?></h6>
											<h5><?php echo vczapi_dateConverter( $zoom['api']->start_time, $zoom['api']->timezone, 'g:i a' ); ?></h5>
											<h6><?php echo esc_html__( 'Duration', 'samantha' ); ?></h6>
											<h5><?php echo esc_html( $zoom['api']->duration ); ?><?php echo esc_html__( ' min', 'samantha' ); ?></h5>
										</div>
							  <?php endif; ?>


						</div>

						<?php if ( has_post_thumbnail() ) { ?>
          	<div class="vczapi-list-zoom-meetings--item__image meeting-img hover-style">
							<figure>
								<?php the_post_thumbnail(); ?>
							</figure>
            </div><!--Image End-->
						<?php } ?>
					</div>

					<div class="join-meeting">
						<a class="join" href="<?php echo esc_url( get_the_permalink() ) ?>"><?php the_title(); ?></a>
						<span><?php echo esc_html__( 'Meeting ID:', 'samantha' ); ?></span>
						<h4><?php echo esc_html( $zoom['api']->id ); ?></h4>
						<a href="<?php echo esc_url( get_the_permalink() ) ?>" class="button back">
							<?php echo esc_html__( 'Join Meeting Via Zoom App', 'samantha' ); ?>
							<i class="fas fa-angle-right"></i>
						</a>
					</div>

					<?php do_action( 'vczapi_additional_content_inside_zoom_listing_shortcode' ); ?>
				</div>
			</div>
<?php do_action( 'vczapi_after_loop_zoom_listing_shortcode' ); ?>
